
package com.heyu.api.data.utils;

import java.lang.reflect.Method;

public class Person {

    private String name;

    public void setName(String name) {
        this.name = name;

    }

    public String getName() {
        return name;
    }

    public static void main(String[] args) {
        try {
// 创建 Person 类的实例
            Person person = new Person();
// 获取 Person 类的 Class 对象
            Class<?> personClass = person.getClass();
// 获取 setName 方法
            Method setNameMethod = personClass.getDeclaredMethod("setName", String.class);
// 调用方法，设置 name 属性
            setNameMethod.invoke(person, "John Doe");
            //验址 name 属性是否被设置
            System.out.println("Person's name: " + person.getName());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}

